com.holonplatform.core

## Interface ParameterSet.Builder<S extends ParameterSet>

- Type Parameters:
    `S` - Concrete ParameterSet type to build
  All Known Implementing Classes:
    DefaultParameterSet.AbstractBuilder, DefaultParameterSet.DefaultBuilder
  Enclosing interface:
    ParameterSet

      public static interface ParameterSet.Builder<S extends ParameterSet>

  `ParameterSet` builder.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `S` | `build()` Build ParameterSet
    `default <T> ParameterSet.Builder<S>` | `parameter(ConfigProperty<T> property, T value)` Deprecated. Use `withParameter(ConfigProperty, Object)`
    `default ParameterSet.Builder<S>` | `parameter(String name, Object value)` Deprecated. Use `withParameter(String, Object)`
    `default ParameterSet.Builder<S>` | `parameters(Map<String,Object> parameters)` Deprecated. Use `withParameters(Map)`
    `default ParameterSet.Builder<S>` | `parameters(ParameterSet parameters)` Deprecated. Use `withParameters(ParameterSet)`
    `<T> ParameterSet.Builder<S>` | `withParameter(ConfigProperty<T> property, T value)` Add a parameter using a `ConfigProperty` and `ConfigProperty.getKey()` as parameter name.
    `ParameterSet.Builder<S>` | `withParameter(String name, Object value)` Add a parameter.
    `ParameterSet.Builder<S>` | `withParameters(Map<String,Object> parameters)` Add all given parameters to the set.
    `ParameterSet.Builder<S>` | `withParameters(ParameterSet parameters)` Add all parameters of the given `parameters` set.

- - ### Method Detail

    - #### withParameter

          ParameterSet.Builder<S> withParameter(String name,
                                                Object value)

      Add a parameter.
      Parameters:
        `name` - Parameter name
        `value` - Parameter value
      Returns:
        this

    - #### withParameter

          <T> ParameterSet.Builder<S> withParameter(ConfigProperty<T> property,
                                                    T value)

      Add a parameter using a `ConfigProperty` and `ConfigProperty.getKey()` as parameter name.
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - ConfigProperty (not null) to obtain parameter name
        `value` - Parameter value
      Returns:
        this

    - #### withParameters

          ParameterSet.Builder<S> withParameters(Map<String,Object> parameters)

      Add all given parameters to the set.
      Parameters:
        `parameters` - Parameters to add
      Returns:
        this

    - #### withParameters

          ParameterSet.Builder<S> withParameters(ParameterSet parameters)

      Add all parameters of the given `parameters` set.
      Parameters:
        `parameters` - Parameters to add
      Returns:
        this

    - #### parameter

          @Deprecated
          default ParameterSet.Builder<S> parameter(String name,
                                                                 Object value)

      Deprecated. Use `withParameter(String, Object)`
      Add a parameter.
      Parameters:
        `name` - Parameter name
        `value` - Parameter value
      Returns:
        this

    - #### parameter

          @Deprecated
          default <T> ParameterSet.Builder<S> parameter(ConfigProperty<T> property,
                                                                     T value)

      Deprecated. Use `withParameter(ConfigProperty, Object)`
      Add a parameter using a `ConfigProperty` and `ConfigProperty.getKey()` as parameter name.
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - ConfigProperty (not null) to obtain parameter name
        `value` - Parameter value
      Returns:
        this

    - #### parameters

          @Deprecated
          default ParameterSet.Builder<S> parameters(Map<String,Object> parameters)

      Deprecated. Use `withParameters(Map)`
      Add all given parameters to the set.
      Parameters:
        `parameters` - Parameters to add
      Returns:
        this

    - #### parameters

          @Deprecated
          default ParameterSet.Builder<S> parameters(ParameterSet parameters)

      Deprecated. Use `withParameters(ParameterSet)`
      Add all parameters of the given `parameters` set.
      Parameters:
        `parameters` - Parameters to add
      Returns:
        this

    - #### build

          S build()

      Build ParameterSet
      Returns:
        ParameterSet instance

Copyright © 2019 The Holon Platform. All rights reserved.